Does ZiPhone 2.4 downgrade the bootloader?

Discussion in 'Jailbreaks and iOS Hacks' started by Diatribe, Feb 18, 2008.

  1. Diatribe macrumors 601

    Diatribe

    Joined:
    Jan 8, 2004
    Location:
    Back in the motherland
    #1
    Just a quick question has anyone tried 2.4? Does it downgrade the bootloader on the unlock option? I have heard a couple of people saying that it does but nothing definitive. I don't want it to downgrade it that's why I am asking.
     
  2. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #2
    Yes, but it is not recomended, since once you go down to 3.9, you cannot go back up to 4.6
     
  3. applestew macrumors member

    Joined:
    Jan 12, 2008
    #3
    So how can u use ZiPhone BUT avoid downgrading the bootloader?
     
  4. Aries326 macrumors 6502

    Joined:
    Dec 28, 2007
    #4
    I started off with a 1.1.2 OTB and I now have a 1.1.3 unlocked and jailbroken phone. The "firware" version on it currently is 04.02.13_G
     
  5. Diatribe thread starter macrumors 601

    Diatribe

    Joined:
    Jan 8, 2004
    Location:
    Back in the motherland
    #5
    The question was whether it does so by default and as I said I DON'T want to downgrade.
     
  6. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #6
    You choose whether you want to downgrade the bootloader. There is an option in the GUI, just look for it and watch out.
     
  7. Diatribe thread starter macrumors 601

    Diatribe

    Joined:
    Jan 8, 2004
    Location:
    Back in the motherland
    #7
    I know that the option is there in the advanced panel.

    Again, the question was whether it automatically downgrades when you click unlock in the standard menu. Some people have said that it does, that's why I am asking whether someone has tried 2.4 and it downgraded.
     
  8. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #8
    It will not downgrade you without you telling it to do so. Downgrades on the bootloader must be checked or requested to the GUI or soucre version.

    So simple answer, will it automatically downgrade you bootloader? No. only if you choose to...just be careful what you select
     
  9. sagico macrumors newbie

    Joined:
    Feb 18, 2008
    #9

    its wrong!
    and yes; using 2.4 on 1.1.3 bl4.6 will downgrade the bl to 3.9 auto' even if not checked out be aware!!!
     
  10. Diatribe thread starter macrumors 601

    Diatribe

    Joined:
    Jan 8, 2004
    Location:
    Back in the motherland
    #10
    That is what I heard too. So I guess I'll use 2.3 then.
     
  11. hexonxonx macrumors 601

    Joined:
    Jul 4, 2007
    Location:
    Denver Colorado
    #11
    I can confirm this as well. I accidentally ran 2.4 on one of my iPhones and the modem firmware won't downgrade any longer. It is stuck at 04.03.13_G. When I try to use Ziphone 2.1 to unlock this phone, the modem firmware stayed the same. It used to downgrade to 04.02.13_G.

    Will this possibly prevent me from being able to upgrade my iPhone in the future? Right now, I downgraded the firmware to 1.1.2 and it is unlocked. I have this version on this iPhone again so that I can pair it with my Garmin GPS.
     
  12. Diatribe thread starter macrumors 601

    Diatribe

    Joined:
    Jan 8, 2004
    Location:
    Back in the motherland
    #12
    The only thing it prevents you from is installing another bootloader like, let's say a custom one from GeoHot.
     
  13. sagico macrumors newbie

    Joined:
    Feb 18, 2008
    #13
    if you restore your phone to 1.1.2 and run ziphone (better use 2.3) it should DG the modem(baseband) to 4.02. and if you restore to 1.1.3 and run it, it should upgrade to 4.03. the thing is that unlock with 2.4 may do a non voluntary BL downgrade from 4.6 to 3.9 not BB dg as it something else

    the program is doing match between th fw and the baseband
     
  14. Whorehay macrumors 6502a

    Whorehay

    Joined:
    Feb 17, 2008
    #14
    Does anyone know where I can get 2.3? I might be finally switching over from the first Nate's jailbreak.
     
  15. slicedbread macrumors regular

    Joined:
    Nov 5, 2006
    #15
    does anyone have proof that their BL is being downgraded, even if you didn't specify to?

    Please don't confuse unlocking which will force a 4.02 (1.1.2 version) of the baseband/modem firmware, even if you unlock a 1.1.3 phone.

    I find it hard to believe that ziphone will automatically downgrade your bootloader just by choosing unlock...?
     
  16. Dman51 macrumors newbie

    Joined:
    Nov 23, 2007
    #16
    Windows Help

    I already used ZiPhone for my iPhone on my mac. My friend had bootloader 3.9 and a Windows so he couldnt do it before. Now that Zi 2.4 has come out it says it doesnt matter which baseband or bl so does anyone know what I need to select to jailbreak unlock n activate the iphone. Also what will not work when its done, some people have said youtube doesnt work? Thanks
     
  17. USMCSSGT macrumors member

    USMCSSGT

    Joined:
    Feb 17, 2008
    Location:
    Beaufort, SC
    #17
    I have an at&t 1.1.3 jailbroke with Ziphone 2.4, and everything works fine. And it did not downgrade my bootloader to 3.9, I still have 4.6.:apple:
     
  18. draperm25 macrumors regular

    draperm25

    Joined:
    Sep 19, 2007
    Location:
    Swansea
    #18
    so there is no way to change it back from 3.9 to 4.6? i also used ziphone 2.4 and i now have Bootloader 3.9 and firmware 04.03.13_G, if there isnt, would this make the phone get bricked if apple bring out another software version say 1.1.4 and you updated to it?
     
  19. spinstorm macrumors 65816

    Joined:
    Sep 14, 2007
    #19
    lol no offense but this is a silly question.

    The firmware updates that Apple bring out DO NOT touch the bootloader in anyway.

    Therefore if you bought a phone with 3.9 on it then it will always work with Apple's updates JUST like 4.9 will always work.

    Apple would hardly tell people with old iphones they cant upgrade would they?

    The firmware has nothing to do with the bootloader! the bootloader hacking is simply done as it makes unlocking the phone easier!

    Therefore if you downgrade a 4.9 to 3.9 it will still work with all apple updates so there is nothing to worry about!
     
  20. draperm25 macrumors regular

    draperm25

    Joined:
    Sep 19, 2007
    Location:
    Swansea
    #20
    @ spinstorm, thanks for that, but as i have done unlock/jailbreak/activate through ziphone, it will always be better to wait for someone to try the new software before i upgrade or wont it make much difference?
     
  21. igglepuff macrumors regular

    Joined:
    Sep 27, 2007
    #21
    dont ever upgrade to a new firmware/iphoen software until you have waited a while and had positive results in. every new firmware update will relock the phone (or most often). the only way to prevent this is by usign an IPSF unlock method and beign on 3.9BL. all others (anysim and os on) will be relocked after updates
     
  22. shane1598 macrumors member

    Joined:
    Sep 12, 2007
    Location:
    St. Louis
    #22
    i used ziphone 2.4 gui last night. i was a little concerned about dg the bloader too. so i installed baseband info via installer. it shaows i am on 4.6.

    MAKE sure you click the advance tab in ziphone and set it to not dg bloader.

    Happy Hacking

    EDIT: i only jailbroke since i am on ATT
     
  23. Ol!ver macrumors 6502a

    Joined:
    Mar 2, 2005
    #23
    I've jailbroken and unlocked and I'm still in 4.6. I didn't do anything either, just left everything as default.
     
  24. Diatribe thread starter macrumors 601

    Diatribe

    Joined:
    Jan 8, 2004
    Location:
    Back in the motherland
    #24
    What firmware did you have on it out of the box? And you used ZiPhone 2.4 right?
     

Share This Page